org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_OBJECTATTRIBUTENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_OBJECTATTRIBUTENode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_OBJECTATTRIBUTENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_OBJECTATTRIBUTENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_OBJECTATTRIBUTENode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_OBJECTATTRIBUTENode` | `bindActive(IDynamicContentBindingObject value)`
    `UI5M_OBJECTATTRIBUTENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_OBJECTATTRIBUTENode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_OBJECTATTRIBUTENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_OBJECTATTRIBUTENode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_OBJECTATTRIBUTENode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_OBJECTATTRIBUTENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_OBJECTATTRIBUTENode` | `bindText(IDynamicContentBindingObject value)`
    `UI5M_OBJECTATTRIBUTENode` | `bindTitle(IDynamicContentBindingObject value)`
    `UI5M_OBJECTATTRIBUTENode` | `setActionListener(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setActive(boolean value)`
    `UI5M_OBJECTATTRIBUTENode` | `setActive(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setAttributemacro(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setComment(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setConfiginfo(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setId(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setReference(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setRendered(boolean value)`
    `UI5M_OBJECTATTRIBUTENode` | `setRendered(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setStyleseq(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setStylevariant(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setText(java.lang.String value)`
    `UI5M_OBJECTATTRIBUTENode` | `setTitle(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_OBJECTATTRIBUTENode

          public UI5M_OBJECTATTRIBUTENode()

  - ### Method Detail

    - #### setId

          public UI5M_OBJECTATTRIBUTENode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_OBJECTATTRIBUTENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_OBJECTATTRIBUTENode bindActionListener(IActionListenerDelegation value)

    - #### setActive

          public UI5M_OBJECTATTRIBUTENode setActive(java.lang.String value)

    - #### bindActive

          public UI5M_OBJECTATTRIBUTENode bindActive(IDynamicContentBindingObject value)

    - #### setActive

          public UI5M_OBJECTATTRIBUTENode setActive(boolean value)

    - #### setAdapterbinding

          public UI5M_OBJECTATTRIBUTENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_OBJECTATTRIBUTENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_OBJECTATTRIBUTENode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_OBJECTATTRIBUTENode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_OBJECTATTRIBUTENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_OBJECTATTRIBUTENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_OBJECTATTRIBUTENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_OBJECTATTRIBUTENode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_OBJECTATTRIBUTENode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_OBJECTATTRIBUTENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_OBJECTATTRIBUTENode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_OBJECTATTRIBUTENode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_OBJECTATTRIBUTENode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_OBJECTATTRIBUTENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_OBJECTATTRIBUTENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5M_OBJECTATTRIBUTENode setText(java.lang.String value)

    - #### bindText

          public UI5M_OBJECTATTRIBUTENode bindText(IDynamicContentBindingObject value)

    - #### setTitle

          public UI5M_OBJECTATTRIBUTENode setTitle(java.lang.String value)

    - #### bindTitle

          public UI5M_OBJECTATTRIBUTENode bindTitle(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.